%define oname   newgem

Name:       ruby-%{oname}
Version:    1.5.3
Release:    %mkrel 1
Summary:    Quickly bundle any Ruby libraries into a RubyGem
License:    MIT
Group:      Development/Ruby
URL:        http://newgem.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(cucumber) >= 0.3.11
BuildRequires: rubygem(hoe) >= 2.4.0
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Quickly bundle any Ruby libraries into a RubyGem and share it with the
world, your colleagues, or perhaps just with yourself amongst your projects.
RubyGems are centrally stored, versioned, and support dependencies between
other gems, so they are the ultimate way to bundle libraries, executables,
associated tests, examples, and more.
Within this gem, you get one thing - <code>newgem</code> - an executable to
create your own gems. Your new gems will include designated folders for Ruby
code, test files, executables, and even a default website page for you to
explain your project, and which instantly uploads to RubyForge website
(which looks just like this one by default)

%files
%defattr(-, root, root, -)
%{_bindir}/newgem
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/*generators
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/PostInstall.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/app_generators/newgem/templates/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/app_generators/newgem/templates/PostInstall.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/newgem_generators/install_website/templates/website/index.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/newgem_theme_generators/long_box_theme/templates/website/index.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/rubygems_generators/extconf/templates/README.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/website/index.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/website/rubyforge.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/website/version-raw.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/website/version.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f generators/

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 1.5.3-1.mga1
+ Revision: 51066
- imported package ruby-newgem


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.3-1mdv2011.0
- Initial package
